# $Revision: 1.72 $, $Date: 2010/04/15 16:56:11 $
# TODO:
#	- who needs sndfile-regtest?
#
# Conditional build:
%bcond_with	regtest		# build sndfile-regtest program
%bcond_without	octave		# don't build octave binding
%bcond_without	static_libs	# don't build static library
%bcond_without	tests		# don't build tests
#
Summary:	C library for reading and writing files containing sampled sound
Summary(pl.UTF-8):	Biblioteka obsługi plików dźwiękowych
Name:		libsndfile
Version:	1.0.21
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.mega-nerd.com/libsndfile/files/%{name}-%{version}.tar.gz
# Source0-md5:	880a40ec636ab2185b97f8927299b292
Patch0:		octave32.patch
URL:		http://www.mega-nerd.com/libsndfile/
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	flac-devel >= 1.2.1
BuildRequires:	gcc-fortran
BuildRequires:	libogg-devel >= 2:1.1.3
%{?with_tests:BuildRequires:	libstdc++-devel}
BuildRequires:	libtool
BuildRequires:	libvorbis-devel >= 1:1.2.3
%{?with_octave:BuildRequires:	octave-devel}
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
%{?with_regtest:BuildRequires:	sqlite3-devel >= 3.2}
Obsoletes:	libsndfile1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libsndfile is a C library for reading and writing files containing
sampled sound (such as MS Windows WAV and the Apple/SGI AIFF format)
through one standard library interface.

%description -l pl.UTF-8
Libsndfile to biblioteką napisaną w C, służąca do czytania i
zapisywania plików zawierających zsamplowany dźwięk (np. w formacie MS
Windows WAV czy Apple/SGI AIFF) poprzez jednolity, standardowy
interfejs.

%package devel
Summary:	libsndfile header files and development documentation
Summary(pl.UTF-8):	Pliki nagłówkowe oraz dokumentacja do libsndfile
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	flac-devel >= 1.2.1
Obsoletes:	libsndfile1-devel

%description devel
Header files and development documentation for libsndfile.

%description devel -l pl.UTF-8
Pliki nagłówkowe oraz dokumentacja do biblioteki libsndfile.

%package static
Summary:	libsndfile static libraries
Summary(pl.UTF-8):	Biblioteki statyczne libsndfile
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libsndfile static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne libsndfile.

%package octave
Summary:	libsndfile modules for octave
Summary(pl.UTF-8):	Moduły libsndfile dla octave
Group:		Applications/Math
Requires:	%{name} = %{version}-%{release}
Requires:	octave

%description octave
A couple of script files for loading, saving, and playing sound files
from within Octave.

%description octave -l pl.UTF-8
Kilka skryptów Octave do ładowania, zapisywania i odtwarzania plików
dźwiękowych.

%package progs
Summary:	libsndfile utility programs
Summary(pl.UTF-8):	Narzędzia korzystające z biblioteki libsndfile
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description progs
libsndfile utility programs:
- sndfile-convert - convert a sound files from one format to another
- sndfile-info - display information about a sound file
- sndfile-play - play a sound file

%description progs -l pl.UTF-8
Narzędzia z biblioteki libsndfile:
- sndfile-convert - kowertertuje pliki dźwiękowe
- sndfile-info - wyświetla informacje o pliku dźwiękowym
- sndfile-play - odtwarza pliki dźwiękowe

%prep
%setup -q
%patch0 -p1

%if %{without tests}
%{__sed} -i 's, tests$,,' Makefile.am
%endif

%build
%{__libtoolize}
%{__aclocal} -I M4
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static} \
	%{!?with_regtest:--disable-sqlite}

%{__make}
%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}/libsndfile1-dev

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libsndfile.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsndfile.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/*.html doc/*.jpg doc/new_file_type.HOWTO
%attr(755,root,root) %{_libdir}/libsndfile.so
%{_libdir}/libsndfile.la
%{_includedir}/sndfile.h*
%{_pkgconfigdir}/sndfile.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libsndfile.a
%endif

%if %{with octave}
%files octave
%defattr(644,root,root,755)
%{_datadir}/octave/site/m/sndfile_*.m
%dir %{_libdir}/octave/*/site/oct/*/sndfile
%{_libdir}/octave/*/site/oct/*/sndfile/PKG_ADD
%attr(755,root,root) %{_libdir}/octave/*/site/oct/*/sndfile/sndfile.oct
%endif

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sndfile-*
%{_mandir}/man1/sndfile-*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsndfile.spec,v $
Revision 1.72  2010/04/15 16:56:11  qboosh
- base Group is Libraries

Revision 1.71  2010/04/15 16:55:48  qboosh
- dropped outdated BRs

Revision 1.70  2010/04/14 18:30:01  qboosh
- updated to 1.0.21
- added bcond_without octave

Revision 1.69  2009/11/10 12:52:07  baggins
- rel 2

Revision 1.68  2009/10/26 06:07:05  sls
- added octave32.patch (now it builds with octave-3.2.*)

Revision 1.67  2009/05/27 19:52:38  megabajt
- updated to 1.0.20 [fixes CVE-2009-1788, CVE-2009-1791]
- removed obsolete -vorbis-test.patch

Revision 1.66  2009/05/03 15:46:39  sparky
- BR: libvorbis-devel, jack-devel
- rel 3

Revision 1.65  2009/05/03 02:08:23  sparky
- BR: fftw3-devel, gcc-fortran (-lgfortranbegin)

Revision 1.64  2009/04/02 20:27:56  qboosh
- ghost soname symlink
- package remaining octave files

Revision 1.63  2009/03/13 14:26:40  hawk
- fixed x86_64 build, BR lapack-devel
- release 2

Revision 1.62  2009/03/06 22:36:26  adamg
- updated to 1.0.19 (fixes CVE-2009-0186)
- BR: octave-devel
- flac patches merged upstream
- package more progs

Revision 1.61  2007/12/14 21:54:19  sls
- -progs R: base now

Revision 1.60  2007-12-14 01:02:56  sls
- fixed Group: in -progs package

Revision 1.59  2007-12-14 00:47:43  sls
- added flac_buffer_overflow.patch (from Fedora/Gentoo) - fix for CVE-2007-4974
- new subpackage -progs
- really performing tests (--with tests)
- renamed bcond sqlite to regtest and switched off
- added TODO
- rel. 4

Revision 1.58  2007-09-03 14:55:25  baggins
- rel 3

Revision 1.57  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.56  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.55  2007/01/27 01:06:17  charles
- added tests bcond (default on)
- BR: libstdc++-devel (for tests)

Revision 1.54  2006/12/24 19:50:37  qboosh
- added flac patch to build with flac 1.1.3
- more verbose files, release 2

Revision 1.53  2006/09/03 11:19:50  adamg
- updated to 1.0.17

Revision 1.52  2006/05/01 00:11:03  charles
- BR: alsa-lib-devel, pkgconfig and sqlite3-devel (+ without bcond)
- added without static_libs bcond

Revision 1.51  2006/04/30 14:32:05  adamg
- updated to 1.0.16

Revision 1.50  2006/03/16 21:43:30  paszczus
- updated to 1.0.15

Revision 1.49  2006/02/27 21:29:46  qboosh
- updated to 1.0.14

Revision 1.48  2006/01/23 20:14:00  qboosh
- updated to 1.0.13

Revision 1.47  2005/10/06 06:07:09  qboosh
- updated to 1.0.12 (with FLAC support)

Revision 1.46  2005/05/03 17:11:48  pluto
- release 2 for Th.

Revision 1.45  2004/12/21 21:55:51  qboosh
- fixed bin perms

Revision 1.44  2004/11/15 15:54:18  paladine
- updated to 1.0.11

Revision 1.43  2004/06/17 13:54:21  grzegol
- updated to 1.0.10

Revision 1.42  2004/03/31 20:52:26  grzegol
- updated to 1.0.9

Revision 1.41  2004/03/14 20:31:32  qboosh
- removed obsolete sh patch

Revision 1.40  2004/03/14 18:20:13  adamg
- updated 1.0.8

Revision 1.39  2004/02/26 15:19:51  grzegol
- updated to 1.0.7
- changed URLs to oficial
- strict internal deps

Revision 1.38  2004/02/09 22:27:52  qboosh
- updated to 1.0.6, added sh patch
- fixed license (has been changed to LGPL in 2000)

Revision 1.37  2003/09/09 10:24:21  ankry
- spaces -> tab

Revision 1.36  2003/07/29 23:12:26  blues
- cosmetics

Revision 1.35  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.34  2003/05/25 05:50:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2003/05/21 17:56:30  jack
- corrected BR

Revision 1.32  2003/05/05 09:15:31  trojan
- updated to 1.0.5: bug fixes

Revision 1.31  2003/02/04 07:59:20  trojan
- updated to 1.0.4

Revision 1.30  2003/01/15 15:20:17  qboosh
- updated to 1.0.3, removed obsolee amfix patch

Revision 1.29  2002/12/02 22:08:30  ankry
- pl Summary/description fixes
- adapterized

Revision 1.28  2002/11/25 14:17:04  ankry
- massive attack: no need for 755 for *.la

Revision 1.27  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.26  2002/10/06 08:54:16  kloczek
- release 2: libsndfile1{,-devel} added to Obsletes for allow upgrade from MDK.

Revision 1.25  2002/09/14 20:18:25  qboosh
- amfix patch (fix for automake 1.6)
- added missing pkgconfig file
- moved devel docs to -devel

Revision 1.24  2002/09/14 09:35:17  zagrodzki
- upgraded to 1.0.1
- STBR

Revision 1.23  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.22  2002/05/21 23:13:59  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/05/11 17:58:45  kloczek
- updated to 0.0.28.

Revision 1.20  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.19  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/11/21 11:34:13  kloczek
- updated to 0.0.27.

Revision 1.16  2001/10/06 21:03:28  kloczek
- updated to 0.0.26.

Revision 1.15  2001/09/24 09:11:35  kloczek
- updated to 0.0.25.

Revision 1.14  2001/08/27 18:39:38  kloczek
- updated to 0.0.24.

Revision 1.13  2001/07/19 21:56:09  kloczek
- updated to 0.0.23.

Revision 1.12  2001/06/27 07:56:25  kloczek
- regenerate libtool files.

Revision 1.11  2001/06/24 22:42:47  kloczek
p release 3: "rm -f missing" before run automake.

Revision 1.10  2001/01/22 09:38:24  kloczek
- release 2,
- regenerate automake, autoconf files (added automake to BuildRequires),
- removed "install -d .." line from top %install.

Revision 1.9  2000/10/19 01:45:03  kloczek
- autoconf patch is back.

Revision 1.8  2000/10/18 21:50:14  kloczek
- updated to 0.0.22,
- emoved outdated autoconf patch,
- use new rpm automation.

Revision 1.7  2000/08/21 00:30:51  kloczek
- updated to 0.0.21.

Revision 1.6  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/06/05 16:23:26  kloczek
- updated to 0.0.20.

Revision 1.3  2000/05/30 01:33:28  kloczek
- updated to 0.0.19,
- spec adapterized.

Revision 1.2  2000/05/14 21:36:36  kloczek
- added autoconf patch with corrections which allow correctly pass
  $RPM_OPT_FLAGS to compile options,
- cosmetics.

Revision 1.1  2000/05/12 11:33:28  misiek
- biblioteka obsługi plików dźwiękowych
- niezły klient ftp (z ipv6) zastępujący pakiet ftp-*
